Send Email

The endpoint for specific emails sent through Quorum Outbox.

Retrieve multiple Sent Emails based on search criteria passed as GET Arguments

get/sendemail/
Securityapi_key and username
Request
query Parameters
archived
boolean
bulk_email_id
integer <int64>

The bulkemail with which this sendemail is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
bulk_email__in - The value for the record is in the provided array parameter (comma-separated values).
bulk_email__isnull - The value for the record is null (if true) or is not null.

clicks
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
clicks__in - The value for the record is in the provided array parameter (comma-separated values).
clicks__gt, clicks__gte, clicks__lt, clicks__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
clicks__isnull - The value for the record is null (if true) or is not null.

created
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
created__year, created__month, created__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

did_reply
boolean
email_address
string

NOTE: Parameter accepts additional qualifiers appended to the end:
email_address__in - The value for the record is in the provided array parameter (comma-separated values).
email_address__contains, email_address__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
email_address__startswith, email_address__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
email_address__endswith, email_address__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
email_address__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
email_address__isnull - The value for the record is null (if true) or is not null.

first_open
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
first_open__year, first_open__month, first_open__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

id
integer <int64>

Quorum ID (Primary Key)

initial_opens
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
initial_opens__in - The value for the record is in the provided array parameter (comma-separated values).
initial_opens__gt, initial_opens__gte, initial_opens__lt, initial_opens__lte - The value for the record is greater than/less than (or equal to) the provided parameter.

link_dict
string

String-encoded JSON Object. This field requires special handling.

opens
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
opens__in - The value for the record is in the provided array parameter (comma-separated values).
opens__gt, opens__gte, opens__lt, opens__lte - The value for the record is greater than/less than (or equal to) the provided parameter.
opens__isnull - The value for the record is null (if true) or is not null.

person_id
integer <int64>

The newperson with which this sendemail is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
person__in - The value for the record is in the provided array parameter (comma-separated values).
person__isnull - The value for the record is null (if true) or is not null.

recipient_name
string

NOTE: Parameter accepts additional qualifiers appended to the end:
recipient_name__in - The value for the record is in the provided array parameter (comma-separated values).
recipient_name__contains, recipient_name__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
recipient_name__startswith, recipient_name__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
recipient_name__endswith, recipient_name__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
recipient_name__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
recipient_name__isnull - The value for the record is null (if true) or is not null.

sent
boolean
sent_datetime
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
sent_datetime__year, sent_datetime__month, sent_datetime__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

sparkpost_status
string

NOTE: Parameter accepts additional qualifiers appended to the end:
sparkpost_status__in - The value for the record is in the provided array parameter (comma-separated values).
sparkpost_status__contains, sparkpost_status__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
sparkpost_status__startswith, sparkpost_status__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
sparkpost_status__endswith, sparkpost_status__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
sparkpost_status__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
sparkpost_status__isnull - The value for the record is null (if true) or is not null.

updated
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
updated__year, updated__month, updated__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
contact_organization - expand contact_organization with additional details.
resource_uri - expand resource_uri with additional details.
title - expand title with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "contact_organization" "resource_uri" "title"
dehydrate_extra
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.bulk_email - expand bulk_email with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "bulk_email"
advanced_search
string

Perform an advanced text search on the datset with the provided text. This search will use the most comprehensive search method available on the requested endpoint, but can take slightly longer to return results.

limit
integer <int64>
Default: 20

The number of records to return (for pagination).

offset
integer <int64>
Default: 0

The number of records to offset the start of the data being returned (for pagination).

Responses
200

SendEmail retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "alert_cache": { },
  • "archived": false,
  • "bounces": 0,
  • "bulk_email": "/api/bulkemail/1/",
  • "cached_limited_to_teams": [
    ],
  • "clicks": 0,
  • "contact_organization": "string",
  • "created": "2019-08-24T14:15:22Z",
  • "did_reply": false,
  • "email_address": "string",
  • "email_address_source": 1,
  • "email_alert": false,
  • "external_id": "",
  • "first_click": "2019-08-24T14:15:22Z",
  • "first_open": "2019-08-24T14:15:22Z",
  • "id": 0,
  • "initial_opens": 0,
  • "instant": true,
  • "is_pac_email": false,
  • "link_dict": { },
  • "medium": 1,
  • "opens": 0,
  • "person": "/api/newperson/1/",
  • "person_id": "/api/newperson/1/",
  • "person_primary_organization": "string",
  • "person_type": 0,
  • "push_notification_error_enum": 1,
  • "push_notification_error_info": "string",
  • "push_notification_error_status_code": 0,
  • "push_notification_extra": { },
  • "rcpt_dict": { },
  • "recipient_name": "string",
  • "resource_uri": "string",
  • "sent": false,
  • "sent_datetime": "2019-08-24T14:15:22Z",
  • "sparkpost_id": "string",
  • "sparkpost_reject_reason": "string",
  • "sparkpost_status": "sent",
  • "staffer_id": "1/",
  • "supporter_id": "/api/newsupporter/1/",
  • "text": "string",
  • "title": "string",
  • "transmission_id": "string",
  • "updated": "2019-08-24T14:15:22Z",
  • "view_in_browser_id": "string",
  • "was_imported": false
}

Retrieve information on a single Sent Email

get/sendemail/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

query Parameters
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
contact_organization - expand contact_organization with additional details.
resource_uri - expand resource_uri with additional details.
title - expand title with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "contact_organization" "resource_uri" "title"
dehydrate_extra
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.bulk_email - expand bulk_email with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Value: "bulk_email"
Responses
200

SendEmail retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "alert_cache": { },
  • "archived": false,
  • "bounces": 0,
  • "bulk_email": "/api/bulkemail/1/",
  • "cached_limited_to_teams": [
    ],
  • "clicks": 0,
  • "contact_organization": "string",
  • "created": "2019-08-24T14:15:22Z",
  • "did_reply": false,
  • "email_address": "string",
  • "email_address_source": 1,
  • "email_alert": false,
  • "external_id": "",
  • "first_click": "2019-08-24T14:15:22Z",
  • "first_open": "2019-08-24T14:15:22Z",
  • "id": 0,
  • "initial_opens": 0,
  • "instant": true,
  • "is_pac_email": false,
  • "link_dict": { },
  • "medium": 1,
  • "opens": 0,
  • "person": "/api/newperson/1/",
  • "person_id": "/api/newperson/1/",
  • "person_primary_organization": "string",
  • "person_type": 0,
  • "push_notification_error_enum": 1,
  • "push_notification_error_info": "string",
  • "push_notification_error_status_code": 0,
  • "push_notification_extra": { },
  • "rcpt_dict": { },
  • "recipient_name": "string",
  • "resource_uri": "string",
  • "sent": false,
  • "sent_datetime": "2019-08-24T14:15:22Z",
  • "sparkpost_id": "string",
  • "sparkpost_reject_reason": "string",
  • "sparkpost_status": "sent",
  • "staffer_id": "1/",
  • "supporter_id": "/api/newsupporter/1/",
  • "text": "string",
  • "title": "string",
  • "transmission_id": "string",
  • "updated": "2019-08-24T14:15:22Z",
  • "view_in_browser_id": "string",
  • "was_imported": false
}